# include "../main/utilities.h"

# include "parser.h"



ParserTable::ParserTable(std::string &s): Parser (s) { }


ParserTable::~ParserTable() { }


Formula* ParserTable::createFormulaTrue() {
	return table->fetchFormulaTrue(); }


Formula* ParserTable::createFormulaFalse() {
	return table->fetchFormulaFalse(); }


Formula* ParserTable::createFormulaIdentif(int IDValue) {
	return table->fetchFormulaIdentif(IDValue); }


Formula* ParserTable::createFormulaBox(Formula *element) {
	return table->fetchFormulaBox(element); }


Formula* ParserTable::createFormulaAnd(std::vector<Formula*> *elements) {
	return table->fetchFormulaAnd(elements); }


Formula* ParserTable::createFormulaXor(std::vector<Formula*> *elements) {
	return table->fetchFormulaXor(elements); }


Formula* ParserTable::createSequent(std::vector<Formula*> *premises,
		Formula *conclusion) {
	return table->fetchSequent(premises, conclusion); }
