# ifndef VALORACAO_TEST_H
# define VALORACAO_TEST_H

# include "../test/test.h"


/**
 *
 * This class tests the Assignment class.
 */
class AssignmentTest : public TestSuite {
	public:
   		AssignmentTest ();
   		~AssignmentTest ();

	/*
	 * Tests the getValue() and setValue() functions of the Assignment Class.
	 */
	class TestAssignmentGetAndSet : public Test {
		public:
	        TestAssignmentGetAndSet();
	        ~TestAssignmentGetAndSet();
	        bool testAssignmentGetAndSet();
		protected:
	        bool runTestAfterFork (); };

	/*
	 * Tests the nextValueSet() function of the Assignment Class.
	 */
	class TestNextValueSet : public Test {
		public:
	        TestNextValueSet();
	        ~TestNextValueSet();
	        bool testNextValueSet();
		protected:
	        bool runTestAfterFork (); }; };



# endif // MAP_TEST_H
